org.springframework.http.client

## Class AbstractClientHttpResponse

- java.lang.Object
- - org.springframework.http.client.AbstractClientHttpResponse

- All Implemented Interfaces:
    Closeable, AutoCloseable, ClientHttpResponse, HttpInputMessage, HttpMessage

      public abstract class AbstractClientHttpResponse
      extends Object
      implements ClientHttpResponse

  Abstract base for `ClientHttpResponse`.
  Since:
    3.1.1
  Author:
    Arjen Poutsma

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractClientHttpResponse()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HttpStatus` | `getStatusCode()` Return the HTTP status code of the response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.http.client.ClientHttpResponse

      `close, getRawStatusCode, getStatusText`

    - ### Methods inherited from interface org.springframework.http.HttpInputMessage

      `getBody`

    - ### Methods inherited from interface org.springframework.http.HttpMessage

      `getHeaders`

- - ### Constructor Detail

    - #### AbstractClientHttpResponse

          public AbstractClientHttpResponse()

  - ### Method Detail

    - #### getStatusCode

          public HttpStatus getStatusCode()
                                   throws IOException

      Description copied from interface: `ClientHttpResponse`
      Return the HTTP status code of the response.
      Specified by:
        `getStatusCode` in interface `ClientHttpResponse`
      Returns:
        the HTTP status as an HttpStatus enum value
      Throws:
        `IOException` - in case of I/O errors